package kr.co.zumo.app.lifeplus.model;

import org.junit.Before;
import org.junit.Test;

import static org.mockito.ArgumentMatchers.eq;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.verify;

public class LifeplusPreferencesTest {

  BaseSharedPreferences baseSharedPreferences;
  LifeplusPreferences lifeplusPreferences;


  @Before
  public void setUp() throws Exception {
    baseSharedPreferences = mock(BaseSharedPreferences.class);

    lifeplusPreferences = new LifeplusPreferences(baseSharedPreferences);
  }

  @Test
  public void getEncryptionUserNo() {
    lifeplusPreferences.getZumoUserNo();

    verify(baseSharedPreferences).get(eq(LifeplusPreferences.ENCRYPTION_USER_NO), eq(""));
  }
}